| LightHub v4.0.0 Smarthome controller firmware

Classes | Macros | Variables
streamlog.h File Reference
`#include <Print.h>`
`#include <Arduino.h>`
`#include <HardwareSerial.h>`
`#include <inttypes.h>`

Go to the source code of this file.

## Classes
class | Streamlog

## Macros
#define | LOGBUFFER_SIZE 80
#define | SerialPortType HardwareSerial
#define | LOG_DEBUG 7
#define | LOG_INFO 6
#define | LOG_ERROR 3

## Variables
uint8_t | serialDebugLevel
uint8_t | udpDebugLevel

## Macro Definition Documentation

## ◆ LOG_DEBUG

#define LOG_DEBUG 7

## ◆ LOG_ERROR

#define LOG_ERROR 3

## ◆ LOG_INFO

#define LOG_INFO 6

## ◆ LOGBUFFER_SIZE

#define LOGBUFFER_SIZE 80

## ◆ SerialPortType

#define SerialPortType HardwareSerial

## Variable Documentation

## ◆ serialDebugLevel

uint8_t serialDebugLevel
| extern

## ◆ udpDebugLevel

uint8_t udpDebugLevel
| extern